using System;
using System.Collections;
using System.Linq;

namespace _2023._09._30;
class Program
{

    static void Feladat()
    {
        string path = @"D:\Suli\12.b\Programozás (Tusjak Brigitta)\Források\tanulok.txt";

        List<string> vnev = new List<string>();
        List<string> knev = new List<string>();
        List<int> magassag = new List<int>();
        List<double> tomeg = new List<double>();
        List<string> fiu = new List<string>();
        List<string> lany = new List<string>();

        using(FileStream f = new FileStream(path, FileMode.Open, FileAccess.Read))
        {
            StreamReader r = new StreamReader(f);
            string sor = r.ReadLine();

            while (sor != null)
            {
                string[] adat = sor.Split(";");
                vnev.Add(adat[0]);
                knev.Add(adat[1]);
                magassag.Add(Convert.ToInt32(adat[2]));
                tomeg.Add(double.Parse(adat[3]));
                if (adat[4] == "fiú")
                {
                    fiu.Add(adat[4]);
                }

                else
                {
                    lany.Add(adat[4]);
                }
                sor = r.ReadLine();
            }

            System.Console.WriteLine($"A legducibb ember: {vnev[tomeg.IndexOf(tomeg.Max())]} {knev[tomeg.IndexOf(tomeg.Max())]}, tömege: {tomeg.Max()} kg.");
            System.Console.WriteLine($"A legsoványabb ember: {vnev[tomeg.IndexOf(tomeg.Min())]} {knev[tomeg.IndexOf(tomeg.Min())]}, tömege: {tomeg.Min()} kg.");
            System.Console.WriteLine($"A legmagasabb ember: {vnev[magassag.IndexOf(magassag.Max())]} {knev[magassag.IndexOf(magassag.Max())]}, tömege: {magassag.Max()} kg.");
            System.Console.WriteLine($"A legalacsonyabb ember: {vnev[magassag.IndexOf(magassag.Min())]} {knev[magassag.IndexOf(magassag.Min())]}, tömege: {magassag.Min()} kg.");
            System.Console.WriteLine($"A fiú tanulók száma: {fiu.Count}");
            System.Console.WriteLine($"A lány tanulók száma: {lany.Count}");

        }

    }

    static void Main(string[] args)
    {
        Feladat();
    }
}
